name: bytestring
version: 0.9.1.10
id: bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
license: BSD3
copyright: Copyright (c) Don Stewart   2005-2009,
           (c) Duncan Coutts 2006-2009,
           (c) David Roundy  2003-2005.
maintainer: dons@galois.com, duncan@haskell.org
stability:
homepage: http://www.cse.unsw.edu.au/~dons/fps.html
package-url:
description: A time and space-efficient implementation of byte vectors using
             packed Word8 arrays, suitable for high performance use, both in terms
             of large data quantities, or high speed requirements. Byte vectors
             are encoded as strict 'Word8' arrays of bytes, and lazy lists of
             strict chunks, held in a 'ForeignPtr', and can be passed between C
             and Haskell with little effort.
             .
             Test coverage data for this library is available at:
             <http://code.haskell.org/~dons/tests/bytestring/hpc_index.html>
category: Data
author: Don Stewart, Duncan Coutts
exposed: True
exposed-modules: Data.ByteString Data.ByteString.Char8
                 Data.ByteString.Unsafe Data.ByteString.Internal
                 Data.ByteString.Lazy Data.ByteString.Lazy.Char8
                 Data.ByteString.Lazy.Internal Data.ByteString.Fusion
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/bytestring-0.9.1.10
library-dirs: /usr/local/lib/ghc-7.0.4/bytestring-0.9.1.10
hs-libraries: HSbytestring-0.9.1.10
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/lib/ghc-7.0.4/bytestring-0.9.1.10/include
includes: fpstring.h
depends: base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         ghc-prim-0.2.0.0-6bf7b03ebc9c668817e4379b6796c0c2
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/html/libraries/bytestring-0.9.1.10/bytestring.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/html/libraries/bytestring-0.9.1.10
